﻿div.errorMessage {
    padding: 10px;
    margin-bottom: 10px;
    background: #a35858;
    color: #ffffff;
    font-size: 14px;
}

div.success {
    padding: 0px 90px 0px 90px;
    overflow: hidden;
}

abbr[title] {
    border-bottom: 1px dashed #ADADAD;
    cursor: help;
}

#ConventionForm {
    display: none;
    padding-bottom: 20px;
    overflow: hidden;
}
    #ConventionForm > div {
        padding: 12px 20px 12px 20px;
        overflow: hidden;
    }
        #ConventionForm > div:nth-child(2n+1) {
            background: #e5e5e5;
        }
    #ConventionForm .entries select,
    #ConventionForm .entries input[type=text] {
        padding: 0px 6px 0px 6px;
        height: 30px;
        width: auto;
        max-width: 100px;
        margin-left: 4px;
        border: solid 1px #d8d8d8;
        border-radius: 3px;
        -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
        -moz-box-sizing: border-box; /* Firefox, other Gecko */
        box-sizing: border-box; /* Opera/IE 8+ */
        color: #333333;
        font-size: 14px;
    }
    #ConventionForm input[type=text].alert,
    #ConventionForm select.alert {
        background: #a35858;
        border-color: #a35858;
    }

    #ConventionForm .count .quantity {
        overflow: hidden;
        padding-bottom: 8px;
    }
    #ConventionForm .count .quantity label {
        display: block;
        padding-bottom: 8px;
        color: #333333;
        font-size: 16px;
    }
    #ConventionForm .count .quantity input[type=text] {
        float: left;
        width: 60px;
        padding: 0px 6px 0px 6px;
        height: 30px;
        border: solid 1px #d8d8d8;
        border-radius: 3px;
        -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
        -moz-box-sizing: border-box; /* Firefox, other Gecko */
        box-sizing: border-box; /* Opera/IE 8+ */
        color: #333333;
        font-size: 16px;
    }
    #ConventionForm .count .quantity p {
        float: left;
        padding: 0px 0px 0px 4px;
        line-height: 30px;
        height: 30px;
        font-size: 16px;
    }


    #ConventionForm .entries .template {
        display: none;
    }
    #ConventionForm .entries .entry {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: left;
        padding-bottom: 4px;
    }
        #ConventionForm .entries .entry label {
            width: auto;
            display: block;
            padding-bottom: 8px;
            color: #333333;
            font-size: 16px;
        }
            #ConventionForm .entries .entry label.shirt {
                padding-left: 20px;
                font-size: 12px;
            }

@media (min-width:640px){
    #ConventionForm .count .quantity {
        display: grid;
        grid-template-columns: 1fr 40px 180px;
        grid-gap: 16px;
    }
        #ConventionForm .count .quantity input[type=text] {
            width: 100%;
        } 
}

#FoodDetails label{
    float: none;
    display: block;
}
#FoodDetails textarea {
    -webkit-box-sizing: border-box; /* Safari/Chrome, other WebKit */
    -moz-box-sizing: border-box; /* Firefox, other Gecko */
    box-sizing: border-box; /* Opera/IE 8+ */
    width: 100%;
    height: 60px;
    padding: 6px;
    border-radius: 3px;
    border: solid 1px #d8d8d8;
    font-size: 16px;
    background: #fff;
}

#Payment #Total {
    float: right;
    padding: 10px;
    background: #e5e5e5;
    border: solid 1px #d8d8d8;
    border-radius: 3px;
    font-size: 16px;
    text-align: center;
}

    #Payment #Total span {
        font-size: 28px;
    }

#printBtn {
    float: right;
    width: 110px;
    margin-top: 10px;
    margin-right: 110px;
    cursor: pointer;
    border: 1px solid #000000;
    border-radius: 3px;
    text-align: center;
    color: #333333;
    background-color: #d0d0d0;
    text-decoration: none;
    padding: 9.5px;
    font-size: 14px;
}

#printBtn:hover {
    text-decoration: underline;
    background-color: #eeeeee;
}